import webiopi

import sys,os
sys.path.append(os.path.dirname(os.path.abspath(__file__)))
from i2cliquidcrystal import I2CLiquidCrystal

I2CADDR_LCD = 0x3E	# AQM0802AI2CAhX0x3E
PIN_BACKLIGHT = 4	# obNCgsGPIO04

GPIO = webiopi.GPIO

# Backlight
GPIO.setFunction( PIN_BACKLIGHT, GPIO.OUT )
GPIO.digitalWrite( PIN_BACKLIGHT, True )	# BackLight ON
#GPIO.digitalWrite( PIN_BACKLIGHT, False )	# BackLight OFF

i2clcd = I2CLiquidCrystal( I2CADDR_LCD )

i2clcd.clear()
i2clcd.setCursor( 0, 0 )
i2clcd.print( "Hello World!" )

counter = 1
while 1:
	i2clcd.setCursor( 0, 1 )
	i2clcd.print( str(counter) )
	counter += 1
	webiopi.sleep(1.0)
